require 'spec_helper'

describe PurolatorRuby::GetDocumentsResponse do
  let(:url) { 'https://eshiponline.purolator.com/ShipOnline/shipment/getLabel.ashx?TEMP_TYPE=STUB&REPORT_NAME=GenericDummyReport.pdf&REPORT_NAME=GenericDummyReport.pdf' }
  let(:raw_response) do
    {
        :get_documents_response => {
            :response_information => {
                                :errors => nil,
                :informational_messages => nil
            },
                       :documents => {
                :document => {
                                 :pin => {
                        :value => "42"
                    },
                    :document_details => {
                        :document_detail => {
                              :document_type => "DomesticBillOfLading",
                                :description => "Description for DomesticBillOfLading",
                            :document_status => "Completed",
                                        :url => url
                        }
                    }
                }
            },
                          :@xmlns => "http://purolator.com/pws/datatypes/v1",
                      :"@xmlns:i" => "http://www.w3.org/2001/XMLSchema-instance"
        }
    }

  end

  subject { described_class.new(raw_response) }

  it "can extract url" do
    expect(subject.url).to eq(url)
  end

end
