require 'spec_helper'

describe "Get Documents integration" do

  before { setup_env }

  let(:client) { PurolatorRuby::Client.new }

  context "valid payload" do

    let(:payload) do
      {
        pin: '42',
        document_type: 'DomesticBillOfLading'
      }
    end

    it "gets document url" do
      VCR.use_cassette('get_documents') do
        response = client.call(:get_documents, payload)

        expect(response.status).to eq(:ok)
        expect(response.url).to eq('https://eshiponline.purolator.com/ShipOnline/shipment/getLabel.ashx?TEMP_TYPE=STUB&REPORT_NAME=GenericDummyReport.pdf&REPORT_NAME=GenericDummyReport.pdf')
      end
    end

  end

end
