require 'spec_helper'

describe "Integration Validate Address" do

  before { setup_env }

  let(:client) { PurolatorRuby::Client.new }

  context "valid payload" do

    let(:payload) do
      {
        city: 'Ottawa',
        province: 'ON',
        country: 'CA',
        postal_code: 'K1Y 0M5',
       }
    end

    it "validates address" do
      VCR.use_cassette('validate_address') do
        response = client.call(:validate_city_postal_code_zip, payload)

        expect(response.status).to eq(:ok)
        expect(response.valid?).to eq(true)
      end
    end

  end

  context "invalid payload" do
    let(:payload) do
      {
        city: 'Berlin',
        province: 'ON',
        country: 'CA',
        postal_code: '1'
      }
    end

    it "validates address" do
      VCR.use_cassette('validate_address_invalid') do
        response = client.call(:validate_city_postal_code_zip, payload)

        expect(response.valid?).to eq(false)
      end
    end

  end

end
