require 'savon'
require 'purolator_ruby'
require 'vcr'
require 'pry'
require 'awesome_print'

RSpec.configure do |config|
  config.color = true
  config.tty = true
  config.formatter = :progress
end


VCR.configure do |config|
  config.cassette_library_dir = "spec/fixtures/vcr_cassettes"
  config.hook_into :webmock # or :fakeweb
  config.allow_http_connections_when_no_cassette = true
end

def sender_address
  {'Address' =>
    {'Name' => 'Thehydropothecary', 'StreetNumber' => '120', 'StreetName' => 'Chemin de la Rive', 'City' => 'Gatineau', 'Province' => 'QC', 'Country' => 'CA', 'PostalCode' => 'J8M1V2',
     'PhoneNumber' => {'CountryCode' => '1', 'AreaCode' => '905', 'Phone' => '5555555'}}}
end

def receiver_address
  {'Address' =>
    {'Name' => 'Fake Name', 'StreetNumber' => '5', 'StreetName' => 'Douglas Road','City' => 'Burnaby', 'Province' => 'BC', 'Country' => 'CA', 'PostalCode' => 'V5C1A1',
     'PhoneNumber' => {'CountryCode' => '1', 'AreaCode' => '604', 'Phone' => '2982181'}}}
end

def setup_env
  ENV['PLUROLATOR_RUBY_WSDL_LOCATION'] = File.expand_path 'spec/fixtures/'
  ENV['PLUROLATOR_RUBY_DEVELOPER_KEY'] = "f1096de28f3d43d6a27872cc0c3c39a9"
  ENV['PLUROLATOR_RUBY_DEVELOPER_PASSWORD'] = "10Wl)dh}"
  ENV['PLUROLATOR_RUBY_CLIENT_ID'] = "9999999999"
  ENV['PLUROLATOR_RUBY_ACCOUNT_NUMBER'] = "9999999999"
  ENV['PLUROLATOR_RUBY_BILLING_NUMBER'] = "9999999999"
end
