require 'spec_helper'

describe PurolatorRuby::ValidateCityPostalCodeZipPayload do

  let(:payload) do
    {
      city: 'Ottawa',
      province: 'ON',
      postal_code: 'K1Y 0M5',
      country: 'CA'
    }
  end

  subject { described_class.new(payload) }

  it "has a to_h method" do
    expect(subject.to_h).to eq(
      {
        'Addresses' => {
          'ShortAddress' => {
            'City' => 'Ottawa',
            'Province' => 'ON',
            'PostalCode' => 'K1Y 0M5',
            'Country' => 'CA'
          }
        }
      }
    )
  end

end
